# class JBRemoteDomainDef | Options and connect settings for a remote domain. More...
Full name | `TelEngine::JBRemoteDomainDef`
Definition | `#include <libs/yjabber/yatejabber.h>`
Inherits | TelEngine::String [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline JBRemoteDomainDef (const char* domain = 0)

#### Public Members

- String m_address
- int m_port
- int m_flags

## Detailed Description

This class holds data related to a remote domain. The String holds the domain

inline JBRemoteDomainDef (const char* domain = 0) | ### JBRemoteDomainDef

Constructor

Parameters:

domain | Domain name

String m_address | ### m_address

int m_port | ### m_port

int m_flags | ### m_flags

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.